import { html as n } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, h = Object.getOwnPropertyDescriptor, c = (p, r, i, t) => {
  for (var e = t > 1 ? void 0 : t ? h(r, i) : r, o = p.length - 1, s; o >= 0; o--)
    (s = p[o]) && (e = (t ? s(r, i, e) : s(e)) || e);
  return t && e && m(r, i, e), e;
};
let l = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--alertCircleFilledLarge", this.class = "c-pieIcon c-pieIcon--alertCircleFilledLarge", this.name = "IconAlertCircleFilledLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--alertCircleFilledLarge"><path d="M16 3.75a12.25 12.25 0 1 0 0 24.5 12.25 12.25 0 0 0 0-24.5Zm-1.313 17.063a1.313 1.313 0 1 1 2.626 0 1.313 1.313 0 0 1-2.625 0Zm2.022-3.063H15.29l-.744-7.639a4.586 4.586 0 0 1 2.905 0l-.743 7.639Z"></path></svg>`;
  }
};
c([
  a({ type: String, reflect: !0 })
], l.prototype, "size", 2);
c([
  a({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = c([
  g("icon-alert-circle-filled-large")
], l);
export {
  l as IconAlertCircleFilledLarge
};
